﻿namespace AsmodeeDigital.PlayReal.Samples.Domain.Message
{
    /// <summary>
    /// Type of messages that other client have to interpret
    /// </summary>
    public enum MessageType
    {
        /// <summary>
        /// End of the round
        /// </summary>
        RoundEnded,

        /// <summary>
        /// Dice selection has changed
        /// </summary>
        SelectDices,

        /// <summary>
        /// Dices are rolled
        /// </summary>
        RollDices,

        /// <summary>
        /// Current player has changed
        /// </summary>
        NextPlayer
    }
}
